<?xml version="1.0"?>
<configuration xmlns="http://schemas.microsoft.com/.NetConfiguration/v2.0">
  <configSections>
    <section name="SystemSettings" type="Keysystems.Core.Configuration.PlatformConfigSection, Keysystems.Core, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null" allowLocation="true" allowDefinition="Everywhere" allowExeDefinition="MachineToApplication" restartOnExternalChanges="true" requirePermission="true"/>
    <section name="DictionaryStorage" type="Keysystems.Core.Storage.Configuration.StorageChainConfiguration"/>
    <section name="OutcomeStorage" type="Keysystems.Core.Storage.Configuration.StorageChainConfiguration"/>
  </configSections>
  <SystemSettings>
    <SystemSettings>
      <clear/>
      <add Key="" Value=""/>

      <add Key="Server" Value=""/>
      <!-- label="Сервер баз данных" x/>-->

      <add Key="DataSourceType" Value="MSSQL"/>
      <!-- label="Тип источника данных: MSSQL|Oracle|PostgreSQL" x/>-->

      <add Key="DataBase" Value=""/>
      <!-- label="База данных" x/>-->

      <add Key="ConnectionStringAddition" Value=""/>
      <!-- label="Дополнительная строка соединения" x/>-->

      <add Key="CommonTemplatePath" Value="c:\reports"/>
      <!-- label="Путь к каталогу с шаблонами печати" x/>-->

      <add Key="LogLevel" Value="Warn"/>
      <!-- label="Уровень логгирования: Trace|Debug|Info|Warn|Error|Fatal|Off" x/>-->

      <add Key="CryptoService2" Value="0"/>
      <!-- label="Модуль ЭЦП: 0 (системный) | 1 (Framework) | 2 (встроенный)" x/>-->

      <add Key="Certificate" Value=""/>
      <!-- label="Серийный номер сертификата (#serialNo)" x/>-->

      <add Key="AlternativeUploadService" Value=""/>
      <!-- label="Альтернативный адрес сервиса оправдательных документов (URL)" x/>-->

      <add Key="UseAppServiceHost" Value="false"/>
      <!-- label="Использовать имя узла данного сервиса для формирования URL сервиса оправдательных документов" x/>-->

      <add Key="VersionMismatchDisallow" Value="false"/>
      <!-- label="Запрещать подключения при несовпадении версий клиента и сервиса" x/>-->

      <add Key="JsonSerialization" Value="false"/>
      <!-- label="Использовать json-сериализацию обмена между клиентом и сервисом" x/>-->

      <add Key="Compression2" Value="0"/>
      <!-- label="Сжатие траффика: -1 (не использовать) | 0 (GZip) | 1 (7Zip)" x/>-->


      <!-- Контроль попыток подключения -->
      <add Key="CustomClientIPHeader" Value=""/>
      <!-- label="Заголовок, содержащий IP, в RequestHeaders для схем со шлюзами" x/>-->

      <add Key="LoginAttemptsNumber" Value="0"/>
      <!-- label="Максимальное число попыток входа в комплекс (0 - без ограничений)" x/>-->

      <add Key="LoginLockPeriod" Value="600"/>
      <!-- label="Период блокировки входа в комплекс (в секундах)" x/>-->

      <add Key="LoginLockNotify" Value="false"/>
      <!-- label="Оповещать ли о блокировках логинов" x/>-->

      <add Key="DbMailingAccountLogin" Value=""/>
      <!-- label="Имя пользователя БД для почтовой рассылки (оповещений)" x/>-->

      <add Key="DbMailingAccountPassword" Value=""/>
      <!-- label="Пароль пользователя БД для почтовой рассылки (оповещений)" x/>-->


      <!-- Управление авторизацией -->
      <add Key="AuthorizationService" Value=""/>
      <!-- label="Адрес сервиса авторизации (URL)" x/>-->

      <add Key="AuthorizationAccountLogin" Value=""/>
      <!-- label="Имя пользователя БД для управления авторизацией" x/>-->

      <add Key="AuthorizationAccountPassword" Value=""/>
      <!-- label="Пароль пользователя БД для управления авторизацией" x/>-->

      <add Key="CabinetId" Value=""/>
      <!-- label="Идентификатор кабинета (Saas)" x/>-->

      <add Key="ContractId" Value=""/>
      <!-- label="Идентификатор контракта (Saas)" x/>-->


      <!-- Центр управления бизнес-процессами -->
      <add Key="BPMSAccountLogin" Value=""/>
      <!-- label="Имя пользователя БД для управления бизнес-процессами" x/>-->

      <add Key="BPMSAccountPassword" Value=""/>
      <!-- label="Пароль пользователя БД для управления бизнес-процессами" x/>-->

      <add Key="BPMSAuthTokenRequired" Value="true"/>     
      <!-- label="Авторизационный токен в бизнес-процессах" x/>-->

      
      <!-- Электронный Архив -->
      <add Key="FileArchiveDataSourceType" Value="MSSQL"/>
      <!-- label="Тип сервера Электронного архива" x/>-->

      <add Key="FileArchiveServer" Value=""/>
      <!-- label="Адрес сервера Электронного архива" x/>-->

      <add Key="FileArchiveDatabase" Value=""/>
      <!-- label="Адрес сервера Электронного архива" x/>-->


      <!-- Сервис планировщика задач -->
      <add Key="TaskSchedulerService" Value=""/>
      <!-- label="Адрес сервиса планировщика задач" x/>-->

      
      <!-- Очереди длительных команд (сервис отчётов, сервисы ЭОД) -->
      <add Key="WaitingPoolMaxSize" Value="500"/>
      <!-- label="Максимальный размер очереди ожидания (0 - неограниченный размер)" x/>-->

      <add Key="ExecutionPoolMaxSize" Value="0"/>
      <!-- label="Максимальный размер очереди выполнения (0 - неограниченный размер)" x/>-->

      <add Key="CompletedCommandsPoolMaxSize" Value="1000"/>
      <!-- label="Максимальный размер очереди выполненных команд" x/>-->

      <add Key="MaxNumberRequestsFromOneAddress" Value="0"/>
      <!-- label="Максимальное число запросов, размещенных в очередях ожидания и выполнения, с одного адреса (0 - неограниченное число)" x/>-->

    </SystemSettings>
  </SystemSettings>
  <system.web>
    <compilation debug="true" targetFramework="4.0">
      <assemblies>
        <add assembly="System.Design, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A"/>
        <add assembly="System.Runtime.Serialization.Formatters.Soap, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A"/>
        <add assembly="System.Data, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089"/>
        <add assembly="System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089"/>
        <add assembly="System.Xml, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089"/>
        <add assembly="System.Web, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A"/>
        <add assembly="System.Web.Services, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A"/>
        <add assembly="System.Configuration, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A"/>
        <add assembly="System.Drawing, Version=4.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A"/>
      </assemblies>
    </compilation>
    <customErrors mode="Off"/>
    <sessionState mode="InProc" stateConnectionString="tcpip=localhost:1504" sqlConnectionString="data source=localhost;Trusted_Connection=yes" cookieless="false" timeout="20"/>
    <globalization fileEncoding="windows-1251" requestEncoding="windows-1251" responseEncoding="windows-1251" culture="ru-RU" uiCulture="ru-RU"/>
    <httpRuntime executionTimeout="1200" maxRequestLength="10240" requestValidationMode="2.0"/>
    <pages controlRenderingCompatibilityVersion="3.5" clientIDMode="AutoID"/>

    <!-- скрыть wsdl (для monoserver) -->
    <!-- <webServices><protocols><remove name ="Documentation"/></protocols></webServices> -->
  </system.web>
  <system.serviceModel>
    <!-- <serviceHostingEnvironment multipleSiteBindingsEnabled="true" />  -->
  </system.serviceModel> 
  <system.webServer>
    <handlers>
      <!-- скрыть wsdl -->
      <add name="ServiceMonitor" verb="GET" path="Service.asmx" type="Keysystems.Webservice.Lib.ServiceMonitor" />
    </handlers>
    <asp />
    <!-- <serverRuntime uploadReadAheadSize="4194304" /> --> <!-- Предпочтительней выполнить команду: %windir%\System32\inetsrv\appcmd.exe set config -section:system.webServer/serverRuntime /uploadReadAheadSize:"4194304" /commit:apphost -->
  </system.webServer>
  <DictionaryStorage>
    <chain>
      <add name="DictionaryStorageMemory" typecode="WebCache">
        <isolationPolicy users="false" sessions="false" database="true"/>
        <removePolicy ttl="1440"/>
      </add>
    </chain>
  </DictionaryStorage>
  <OutcomeStorage>
    <chain>
      <add name="OutcomeStorageMemory" typecode="WebCache">
        <isolationPolicy users="true" key="1"/>
        <removePolicy ttl="1440"/>
      </add>
    </chain>
  </OutcomeStorage>
</configuration>
